package com.ozs.plan.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseAgency;
import com.ozs.plan.doman.MonthlyReconciliation;
import com.ozs.plan.doman.vo.requestVo.MonthlyReconciliationPageReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;


@Mapper
public interface MonthlyReconciliationMapper extends BaseMapper<MonthlyReconciliation> {

    @Select("select p.* from " +
            " pm_demand p left join pm_audit_dept_ref r " +
            " on p.demand_id = r.ref_id  and  r.ref_type = 2 " +
            " where r.dept_id = #{deptId}  " +
            " and (#{projectName} is null  or   p.project_name like concat('%',#{projectName},'%'))  " +
            " and (#{purchaseServices} is null  or   p.purchase_services = #{purchaseServices})  " +
            " and (#{projectStatus} is null  or   p.project_status = #{projectStatus})  " +
            " and (#{warnStatus} is null  or   p.warn_status = #{warnStatus})  " +
            " and (#{startTime} is null  or   to_days(p.plan_demand_sub_time) >= to_days(#{startTime}) ) " +
            " and (#{entTime} is null  or   to_days(p.plan_demand_sub_time) <= to_days(#{entTime}) ) " +
            "  ")
    List<MonthlyReconciliation> query(MonthlyReconciliationPageReqVo vo);
}
