package com.ozs.pm.doman.vo.responseVo;


import com.ozs.base.domain.BaseAgency;
import com.ozs.system.domain.SysFileInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.List;


/**
 * 中标信息对象
 *
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("中标信息对象")
public class PmPurchaseExecutionResVo {
    /** 采购需求ID */
    @ApiModelProperty("采购需求ID")
    private Long demandId;

    @ApiModelProperty("招标代理机构信息")
    private BaseAgency baseAgency;

    @ApiModelProperty("发布公告列表")
    private List<PmReleaseAnnouncementResVo> pmReleaseAnnouncementResVoList;

    @ApiModelProperty("专家列表")
    private List<PmBaseExpertResVo> pmBaseExpertResVoList;

    @ApiModelProperty("开标信息列表")
    private List<PmBidOpeningResVo> pmBidOpeningResVoList;

    @ApiModelProperty("中标信息列表")
    private List<PmBidWinningResVo> pmBidWinningResVoList;

    /** 是否有质疑，1是，0否 */
    @ApiModelProperty("是否有质疑，1是，0否")
    private String callQuestion;

    /** 是否有质疑，1是，0否 */
    @ApiModelProperty("是否有质疑，1是，0否")
    private String callQuestionName;

    /**
     * 质疑情况附件
     */
    @ApiModelProperty("质疑情况附件")
    private List<SysFileInfo> callRequestFileInfos;

    @ApiModelProperty("流标信息列表")
    private List<PmBidFailureResVo> pmBidFailureResVoList;

    /**
     * 已上传的关联附件信息
     */
    @ApiModelProperty("已上传的关联附件信息")
    private List<SysFileInfo> fileInfos;
}
